import { scaleOrdinal } from 'd3';

const colorScale = scaleOrdinal()
	.domain(['Apple', 'Lemon'])
	.range(["#c93d06", "#c5db1f"]);

const radiusScale = scaleOrdinal()
	.domain(['Apple', 'Lemon'])
	.range([50, 30])

export const fruitBowl = (selection, props) => {
  const { fruits, height } = props;  
  const calcXPosition = (d,i) => i * 120 + 100;
  
  const dataSelection = selection
  	.selectAll("circle")
  	.data(fruits, d => d.id);  
  //Enter Selection
  dataSelection
    .enter().append("circle")      
  		.attr("cx", calcXPosition) 
      .attr("cy", height / 2)    	
  		.attr("r",0)
  	.merge(dataSelection)      
      .attr("fill", (d,i)=> colorScale(d.type)) 		
  	.transition().duration(1000) 
  		.attr("cx", calcXPosition) 
  		.attr("r", (d,i)=> radiusScale(d.type))  
  	
  
 
  //Exit Selection
  dataSelection
    .exit()
  	.transition().duration(1000)
  		.attr("r", 0)  
    .remove();
}